edu.msu.cme.rdp.multicompare

## Class MultiClassifier

- java.lang.Object
- - edu.msu.cme.rdp.multicompare.MultiClassifier

    public class MultiClassifier
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`MultiClassifier(java.lang.String propfile, java.lang.String gene)`
`MultiClassifier(java.lang.String propfile, java.lang.String gene, java.io.File biomFile, java.io.File metadataFile)`

### Method Summary

Methods
`boolean` `hasCopyNumber()`

`MultiClassifierResult`

`multiClassificationParser(java.util.List<MCSample> samples, float confidence, java.io.PrintWriter assign_out, ClassificationResultFormatter.FORMAT format, java.lang.String printRank, java.util.HashSet<java.lang.String> taxonFilter)`
Input files are the classification results printRank indicates which rank to filter by the confidence for the detail assignment output taxonFilter indicates which taxon to match for the detail assignment output

`MultiClassifierResult` `multiCompare(java.util.List<MCSample> samples)`
`MultiClassifierResult` `multiCompare(java.util.List<MCSample> samples, float conf, int min_bootstrap_words)`
`MultiClassifierResult` `multiCompare(java.util.List<MCSample> samples, float confidence, java.io.PrintWriter assign_out, ClassificationResultFormatter.FORMAT format, int min_bootstrap_words)` Input files are sequence files
`MultiClassifierResult` `multiCompare(java.util.List<MCSample> samples, int min_bootstrap_words)`
`MultiClassifierResult` `multiCompare(java.util.List<MCSample> samples, java.io.PrintWriter assign_out, int min_bootstrap_words)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultiClassifier

    public MultiClassifier(java.lang.String propfile,
                   java.lang.String gene)

#### MultiClassifier

    public MultiClassifier(java.lang.String propfile,
                   java.lang.String gene,
                   java.io.File biomFile,
                   java.io.File metadataFile)
                    throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### hasCopyNumber

    public boolean hasCopyNumber()

#### multiCompare

    public MultiClassifierResult multiCompare(java.util.List<MCSample> samples)
                                       throws java.io.IOException

Throws:
  `java.io.IOException`

#### multiCompare

    public MultiClassifierResult multiCompare(java.util.List<MCSample> samples,
                                     int min_bootstrap_words)
                                       throws java.io.IOException

Throws:
  `java.io.IOException`

#### multiCompare

    public MultiClassifierResult multiCompare(java.util.List<MCSample> samples,
                                     float conf,
                                     int min_bootstrap_words)
                                       throws java.io.IOException

Throws:
  `java.io.IOException`

#### multiCompare

    public MultiClassifierResult multiCompare(java.util.List<MCSample> samples,
                                     java.io.PrintWriter assign_out,
                                     int min_bootstrap_words)
                                       throws java.io.IOException

Throws:
  `java.io.IOException`

#### multiCompare

    public MultiClassifierResult multiCompare(java.util.List<MCSample> samples,
                                     float confidence,
                                     java.io.PrintWriter assign_out,
                                     ClassificationResultFormatter.FORMAT format,
                                     int min_bootstrap_words)
                                       throws java.io.IOException

Input files are sequence files

Throws:
  `java.io.IOException`

#### multiClassificationParser

    public MultiClassifierResult multiClassificationParser(java.util.List<MCSample> samples,
                                                  float confidence,
                                                  java.io.PrintWriter assign_out,
                                                  ClassificationResultFormatter.FORMAT format,
                                                  java.lang.String printRank,
                                                  java.util.HashSet<java.lang.String> taxonFilter)
                                                    throws java.io.IOException

Input files are the classification results printRank indicates which rank to filter by the confidence for the detail assignment output taxonFilter indicates which taxon to match for the detail assignment output

Throws:
  `java.io.IOException`